=== src/CMakeLists.txt ===
#directory src
project (Audacity)
find_package(wxWidgets REQUIRED COMPONENTS net core base html qa adv)
include(${wxWidgets_USE_FILE})

set_property(GLOBAL PROPERTY USE_FOLDERS On) 


# Needed for configwin.h included by Audacity.h
include_directories(${top_dir}/win)

#include_directories(${top_dir}/lib-src/)
include_directories(${top_dir}/include)
include_directories(${top_dir}/src) # for AudacityHeaders.h
include_directories(${top_dir}/lib-src/expat/lib)
include_directories(${top_dir}/lib-src/FileDialog)
include_directories(${top_dir}/lib-src/FileDialog/win)
include_directories(${top_dir}/lib-src/ffmpeg)
include_directories(${top_dir}/lib-src/ffmpeg/win32)
include_directories(${top_dir}/lib-src/lib-widget-extra)
include_directories(${top_dir}/lib-src/libid3tag) #for id3tag.h
include_directories(${top_dir}/lib-src/libmad/msvc++)
include_directories(${top_dir}/lib-src/libmad)
include_directories(${top_dir}/lib-src/libnyquist)
include_directories(${top_dir}/lib-src/libogg/include)
include_directories(${top_dir}/lib-src/libscorealign)
include_directories(${top_dir}/win/Projects/libsndfile) 
include_directories(${top_dir}/lib-src/libsoxr/src) #really?  Src?
include_directories(${top_dir}/lib-src/libvamp)
include_directories(${top_dir}/lib-src/libvorbis/include)
include_directories(${top_dir}/lib-src/lib-widget-extra)
include_directories(${top_dir}/lib-src/portmixer/include)
include_directories(${top_dir}/lib-src/portsmf)
include_directories(${top_dir}/lib-src/sbsms/include)
include_directories(${top_dir}/lib-src/soundtouch/include)
include_directories(${top_dir}/lib-src/twolame/libtwolame)
include_directories(${top_dir}/lib-src/portmidi/pm_common)
include_directories(${top_dir}/lib-src/portmidi/porttime)
include_directories(${top_dir}/lib-src/lv2/lilv)
include_directories(${top_dir}/lib-src/lv2/lv2)
include_directories(${top_dir}/lib-src/lv2/suil)
include_directories(${top_dir}/lib-src/lame)

#if(MSVC)
    add_definitions(/FI"AudacityHeaders.h")
#else()
    # GCC or Clang
#    add_definitions(-include AudacityHeaders.h)
#endif()




# Consider moving many of these # defines to Audacity.h.
# disable warning of insecure functions like getEnv
add_definitions( -D_CRT_SECURE_NO_WARNINGS )

add_definitions( -DBUILDING_AUDACITY )
add_definitions( -DXML_STATIC )
add_definitions( -D__STDC_CONSTANT_MACROS )
add_definitions( -DWXINTL_NO_GETTEXT_MACRO )
add_definitions( -DWXUSINGDLL )
add_definitions( -D__WXMSW__ )
add_definitions( -DwxDEBUG_LEVEL=0 )
add_definitions( -DNDEBUG )
add_definitions( -DWIN32 )
add_definitions( -DSTRICT )




# disable warning of deprecated features.
# NB we may want this ON for better wx code style.
add_compile_options(/wd4996)




set( SOURCE 
   ${CMAKE_SOURCE_DIRECTORY}AudacityHeaders.cpp  #first so cotire can precompile
   ${CMAKE_SOURCE_DIRECTORY}AboutDialog.cpp
   ${CMAKE_SOURCE_DIRECTORY}AColor.cpp
   ${CMAKE_SOURCE_DIRECTORY}AudacityApp.cpp
   ${CMAKE_SOURCE_DIRECTORY}AudacityException.cpp
   ${CMAKE_SOURCE_DIRECTORY}AudacityLogger.cpp
   ${CMAKE_SOURCE_DIRECTORY}AudioIO.cpp
   ${CMAKE_SOURCE_DIRECTORY}AutoRecovery.cpp
   ${CMAKE_SOURCE_DIRECTORY}BatchCommandDialog.cpp
   ${CMAKE_SOURCE_DIRECTORY}BatchCommands.cpp
   ${CMAKE_SOURCE_DIRECTORY}BatchProcessDialog.cpp
   ${CMAKE_SOURCE_DIRECTORY}Benchmark.cpp
   ${CMAKE_SOURCE_DIRECTORY}BlockFile.cpp
   #${CMAKE_SOURCE_DIRECTORY}CrossFade.cpp # abandoned code.
   ${CMAKE_SOURCE_DIRECTORY}Dependencies.cpp
   ${CMAKE_SOURCE_DIRECTORY}DeviceChange.cpp
   ${CMAKE_SOURCE_DIRECTORY}DeviceManager.cpp
   ${CMAKE_SOURCE_DIRECTORY}Diags.cpp
   ${CMAKE_SOURCE_DIRECTORY}DirManager.cpp
   ${CMAKE_SOURCE_DIRECTORY}Dither.cpp
   ${CMAKE_SOURCE_DIRECTORY}Envelope.cpp
   ${CMAKE_SOURCE_DIRECTORY}FFmpeg.cpp
   ${CMAKE_SOURCE_DIRECTORY}FFT.cpp
   ${CMAKE_SOURCE_DIRECTORY}FileException.cpp
   ${CMAKE_SOURCE_DIRECTORY}FileFormats.cpp
   ${CMAKE_SOURCE_DIRECTORY}FileIO.cpp
   ${CMAKE_SOURCE_DIRECTORY}FileNames.cpp
   ${CMAKE_SOURCE_DIRECTORY}FreqWindow.cpp
   ${CMAKE_SOURCE_DIRECTORY}HelpText.cpp
   ${CMAKE_SOURCE_DIRECTORY}HistoryWindow.cpp
   ${CMAKE_SOURCE_DIRECTORY}ImageManipulation.cpp
   ${CMAKE_SOURCE_DIRECTORY}InconsistencyException.cpp
   ${CMAKE_SOURCE_DIRECTORY}Internat.cpp
   ${CMAKE_SOURCE_DIRECTORY}InterpolateAudio.cpp
   ${CMAKE_SOURCE_DIRECTORY}LabelDialog.cpp
   ${CMAKE_SOURCE_DIRECTORY}LabelTrack.cpp
   ${CMAKE_SOURCE_DIRECTORY}LangChoice.cpp
   ${CMAKE_SOURCE_DIRECTORY}Languages.cpp
   ${CMAKE_SOURCE_DIRECTORY}Legacy.cpp
   ${CMAKE_SOURCE_DIRECTORY}Lyrics.cpp
   ${CMAKE_SOURCE_DIRECTORY}LyricsWindow.cpp
   ${CMAKE_SOURCE_DIRECTORY}Matrix.cpp
   ${CMAKE_SOURCE_DIRECTORY}Menus.cpp
   ${CMAKE_SOURCE_DIRECTORY}#MenusMac.cpp   # Not wanted on Windows.
   ${CMAKE_SOURCE_DIRECTORY}Mix.cpp
   ${CMAKE_SOURCE_DIRECTORY}MixerBoard.cpp
   ${CMAKE_SOURCE_DIRECTORY}ModuleManager.cpp
   ${CMAKE_SOURCE_DIRECTORY}NoteTrack.cpp
   ${CMAKE_SOURCE_DIRECTORY}PitchName.cpp
   ${CMAKE_SOURCE_DIRECTORY}PlatformCompatibility.cpp
   ${CMAKE_SOURCE_DIRECTORY}PluginManager.cpp
   ${CMAKE_SOURCE_DIRECTORY}Prefs.cpp
   ${CMAKE_SOURCE_DIRECTORY}Printing.cpp
   ${CMAKE_SOURCE_DIRECTORY}Profiler.cpp
   ${CMAKE_SOURCE_DIRECTORY}Project.cpp
   ${CMAKE_SOURCE_DIRECTORY}RealFFTf.cpp
   ${CMAKE_SOURCE_DIRECTORY}RealFFTf48x.cpp
   ${CMAKE_SOURCE_DIRECTORY}Resample.cpp
   ${CMAKE_SOURCE_DIRECTORY}RingBuffer.cpp
   ${CMAKE_SOURCE_DIRECTORY}SampleFormat.cpp
   ${CMAKE_SOURCE_DIRECTORY}Screenshot.cpp
   ${CMAKE_SOURCE_DIRECTORY}SelectedRegion.cpp
   ${CMAKE_SOURCE_DIRECTORY}SelectionState.cpp
   ${CMAKE_SOURCE_DIRECTORY}Sequence.cpp
   ${CMAKE_SOURCE_DIRECTORY}Shuttle.cpp
   ${CMAKE_SOURCE_DIRECTORY}ShuttleGui.cpp
   ${CMAKE_SOURCE_DIRECTORY}ShuttlePrefs.cpp
   ${CMAKE_SOURCE_DIRECTORY}Snap.cpp
   ${CMAKE_SOURCE_DIRECTORY}SoundActivatedRecord.cpp
   ${CMAKE_SOURCE_DIRECTORY}Spectrum.cpp
   ${CMAKE_SOURCE_DIRECTORY}SplashDialog.cpp
   ${CMAKE_SOURCE_DIRECTORY}SseMathFuncs.cpp
   ${CMAKE_SOURCE_DIRECTORY}Tags.cpp
   ${CMAKE_SOURCE_DIRECTORY}Theme.cpp
   ${CMAKE_SOURCE_DIRECTORY}TimeDialog.cpp
   ${CMAKE_SOURCE_DIRECTORY}TimerRecordDialog.cpp
   ${CMAKE_SOURCE_DIRECTORY}TimeTrack.cpp
   ${CMAKE_SOURCE_DIRECTORY}Track.cpp
   ${CMAKE_SOURCE_DIRECTORY}TrackArtist.cpp
   ${CMAKE_SOURCE_DIRECTORY}TrackPanel.cpp
   ${CMAKE_SOURCE_DIRECTORY}TrackPanelAx.cpp
   ${CMAKE_SOURCE_DIRECTORY}TrackPanelResizeHandle.cpp
   ${CMAKE_SOURCE_DIRECTORY}TrackPanelResizerCell.cpp
   ${CMAKE_SOURCE_DIRECTORY}UIHandle.cpp
   ${CMAKE_SOURCE_DIRECTORY}UndoManager.cpp
   ${CMAKE_SOURCE_DIRECTORY}UserException.cpp
   ${CMAKE_SOURCE_DIRECTORY}ViewInfo.cpp
   ${CMAKE_SOURCE_DIRECTORY}VoiceKey.cpp
   ${CMAKE_SOURCE_DIRECTORY}WaveClip.cpp
   ${CMAKE_SOURCE_DIRECTORY}WaveTrack.cpp
   ${CMAKE_SOURCE_DIRECTORY}WrappedType.cpp
   #An anomoly - a source file plucked from a lib.
   ${top_dir}/lib-src/lib-widget-extra/NonGuiThread.cpp
)

# We're not yet adding each subdirectory.
# instead we do what we would do there here.
#add_subdirectory( blockfile )
set( BLOCKFILE_SOURCE
   ${CMAKE_SOURCE_DIRECTORY}blockfile/LegacyAliasBlockFile.cpp
   ${CMAKE_SOURCE_DIRECTORY}blockfile/LegacyBlockFile.cpp
   ${CMAKE_SOURCE_DIRECTORY}blockfile/NotYetAvailableException.cpp
   ${CMAKE_SOURCE_DIRECTORY}blockfile/ODDecodeBlockFile.cpp
   ${CMAKE_SOURCE_DIRECTORY}blockfile/ODPCMAliasBlockFile.cpp
   ${CMAKE_SOURCE_DIRECTORY}blockfile/PCMAliasBlockFile.cpp
   ${CMAKE_SOURCE_DIRECTORY}blockfile/SilentBlockFile.cpp
   ${CMAKE_SOURCE_DIRECTORY}blockfile/SimpleBlockFile.cpp
)   
source_group( blockfile FILES ${BLOCKFILE_SOURCE} )


#add_subdirectory( commands )
set( COMMANDS_SOURCE
   ${CMAKE_SOURCE_DIRECTORY}commands/AppCommandEvent.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/AudacityCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/BatchEvalCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/Command.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/CommandBuilder.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/CommandContext.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/CommandDirectory.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/CommandHandler.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/CommandManager.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/CommandSignature.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/CommandTargets.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/CommandType.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/CompareAudioCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/Demo.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/DragCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/GetInfoCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/GetTrackInfoCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/HelpCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/ImportExportCommands.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/Keyboard.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/LoadCommands.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/MessageCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/OpenSaveCommands.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/PreferenceCommands.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/ResponseQueue.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/ScreenshotCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/ScriptCommandRelay.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/SelectCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/SetClipCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/SetEnvelopeCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/SetLabelCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/SetProjectCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/SetTrackInfoCommand.cpp
)
source_group( commands FILES ${COMMANDS_SOURCE} )

#add_subdirectory( effects )
set( EFFECTS_SOURCE
   ${CMAKE_SOURCE_DIRECTORY}effects/Amplify.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/AutoDuck.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/BassTreble.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Biquad.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/ChangePitch.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/ChangeSpeed.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/ChangeTempo.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/ClickRemoval.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Compressor.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Contrast.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Distortion.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/DtmfGen.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Echo.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Effect.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/EffectManager.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/EffectRack.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Equalization.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Equalization48x.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Fade.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/FindClipping.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Generator.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Invert.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Leveller.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/LoadEffects.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Noise.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/NoiseReduction.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/NoiseRemoval.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Normalize.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Paulstretch.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Phaser.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Repair.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Repeat.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Reverb.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Reverse.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/SBSMSEffect.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/ScienFilter.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/ScoreAlignDialog.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Silence.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/SimpleMono.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/SoundTouchEffect.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/StereoToMono.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/TimeScale.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/TimeWarper.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/ToneGen.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/TruncSilence.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/TwoPassSimpleMono.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Wahwah.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/audiounits/AudioUnitEffect.cpp
