=== cmake-proxies/libnyquist/CMakeLists.txt ===
#directory cmake-proxies/libnyquist
set( TARGET libnyquist )
set( TARGET_SOURCE ${LIB_SRC_DIRECTORY}${TARGET} )
project( ${TARGET} )

set( SOURCES 
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/f0.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/instr.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/stkinit.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/stkint.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/ADSR.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/BandedWG.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/BiQuad.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/Bowed.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/BowTable.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/Chorus.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/Clarinet.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/Delay.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/DelayA.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/DelayL.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/Effect.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/Envelope.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/FileRead.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/FileWvIn.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/Filter.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/Flute.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/Function.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/Generator.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/Instrmnt.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/JCRev.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/JetTable.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/Mandolin.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/Modal.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/ModalBar.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/Noise.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/NRev.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/OnePole.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/OneZero.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/PitShift.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/PluckTwo.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/PoleZero.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/PRCRev.cpp
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/ReedTabl.cpp  #Junk??
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/ReedTable.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/Saxofony.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/SineWave.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/Sitar.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/Stk.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/WaveLoop.cpp
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqstk/src/WvIn.cpp
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/win/wingui/longque.cpp
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/win/wingui/textio.cpp
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/win/wingui/winmain.cpp

${LIB_SRC_DIRECTORY}libnyquist/nyx.c
${LIB_SRC_DIRECTORY}libnyquist/xlextstart.c

${LIB_SRC_DIRECTORY}libnyquist/nyx.c
${LIB_SRC_DIRECTORY}libnyquist/xlextstart.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/cext.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/cleanup.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/cmdline.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/cmtcmd.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/cmtio.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/mem.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/midifile.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/midifns.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/midimgr.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/moxc.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/record.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/seq.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/seqmread.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/seqmwrite.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/seqread.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/seqwrite.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/tempomap.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/timebase.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/cmt/userio.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/ffts/Matlab-testing/conv2dTest.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/ffts/Matlab-testing/convTest.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/ffts/Matlab-testing/rfft2dTestML.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/ffts/Numerical-Recipes-testing/fftTest.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/ffts/Numerical-Recipes-testing/fftTest2d.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/ffts/Numerical-Recipes-testing/fftTest3d.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/ffts/Numerical-Recipes-testing/rfftTest.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/ffts/Numerical-Recipes-testing/rfftTest2d.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/ffts/src/dxpose.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/ffts/src/fft2d.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/ffts/src/fftext.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/ffts/src/fftlib.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/ffts/src/matlib.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/ffts/Timing-code/fftTiming.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/ffts/Timing-code/rfftTiming.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/add.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/avg.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/compose.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/convolve.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/debug.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/downsample.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/falloc.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/ffilterkit.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/fft-rbd.c #?? using official fft.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/fft.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/fftr4.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/handlers.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/inverse.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/local.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/lpanal.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/multiread.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/multiseq.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/nfilterkit.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/nyq-osc-server.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/nyx.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/oldyin.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/phasevocoder.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/probe.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/pvshell.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/resamp.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/resampv.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/samples.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/seqext.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/seqfnint.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/seqinterf.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/sliderdata.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/sndfail.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/sndfnint.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/sndmax.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/sndread.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/sndseq.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/sndsliders.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/sndwrite.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/sndwritepa.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/sound.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/stats.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/trigger.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/nyqsrc/yin.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/mac/macaboutbox.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/mac/MacAE.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/mac/MacCommandWin.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/mac/macdrag.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/mac/MacFileUtils.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/mac/macfun.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/mac/MacHandleEv.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/mac/macint.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/mac/macstuff.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/mac/xlextstart.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/unix/io.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/unix/osstuff.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/unix/term.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/unix/termtest.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/win/msvc/winfun.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/win/msvc/winstuff.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/win/wingui/winguistuff.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/win/wingui/xlextstart.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/sys/win/wingui/xlispfns.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/abs.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/allpoles.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/alpass.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/alpasscv.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/alpassvc.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/alpassvv.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/amosc.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/areson.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/aresoncv.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/aresonvc.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/aresonvv.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/atone.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/atonev.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/biquadfilt.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/buzz.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/chase.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/clip.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/congen.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/const.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/coterm.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/delaycc.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/delaycv.c
#${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/downproto.c #?? Used downsample.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/eqbandvvv.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/exp.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/fmfb.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/fmfbv.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/fmosc.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/follow.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/fromarraystream.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/fromobject.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/gate.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/ifft.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/instrbanded.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/instrbow.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/instrbowedfreq.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/instrclar.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/instrclarall.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/instrclarfreq.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/instrflute.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/instrfluteall.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/instrflutefreq.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/instrmandolin.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/instrmodalbar.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/instrsax.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/instrsaxall.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/instrsaxfreq.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/instrsitar.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/integrate.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/log.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/lpreson.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/maxv.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/offset.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/oneshot.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/osc.c
${LIB_SRC_DIRECTORY}libnyquist/nyquist/tran/partial.c
