=== debian/changelog ===
audacity (2.3.3-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:33:45 +0100

audacity (2.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper-compat to 12.
  * Bump Standards-Version to 4.4.1.
  * Drop obsolete d/NEWS file.
  * debian/patches:
    + 0002-workaround-wxwidgets-fit-recovery.patch: Drop, Obsolete.
    + 0005-Fix-building-against-the-system-portaudio-library.patch: Update. 

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 21 Nov 2019 20:50:20 +0100
