=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%audacity-$1.tar.gz%" \
             https://github.com/audacity/audacity/tags \
             (?:.*?/)?Audacity-?(\d[\d.]*)\.tar\.gz debian uupdate
